# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsMercurial/HgBranchInputDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_HgBranchInputDialog(object):
    def setupUi(self, HgBranchInputDialog):
        HgBranchInputDialog.setObjectName("HgBranchInputDialog")
        HgBranchInputDialog.resize(400, 130)
        HgBranchInputDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(HgBranchInputDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.label = QtWidgets.QLabel(parent=HgBranchInputDialog)
        self.label.setObjectName("label")
        self.verticalLayout.addWidget(self.label)
        self.branchComboBox = QtWidgets.QComboBox(parent=HgBranchInputDialog)
        self.branchComboBox.setEditable(True)
        self.branchComboBox.setObjectName("branchComboBox")
        self.verticalLayout.addWidget(self.branchComboBox)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.commitCheckBox = QtWidgets.QCheckBox(parent=HgBranchInputDialog)
        self.commitCheckBox.setObjectName("commitCheckBox")
        self.horizontalLayout.addWidget(self.commitCheckBox)
        self.forceCheckBox = QtWidgets.QCheckBox(parent=HgBranchInputDialog)
        self.forceCheckBox.setObjectName("forceCheckBox")
        self.horizontalLayout.addWidget(self.forceCheckBox)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=HgBranchInputDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(HgBranchInputDialog)
        self.buttonBox.accepted.connect(HgBranchInputDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(HgBranchInputDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(HgBranchInputDialog)
        HgBranchInputDialog.setTabOrder(self.branchComboBox, self.commitCheckBox)
        HgBranchInputDialog.setTabOrder(self.commitCheckBox, self.buttonBox)

    def retranslateUi(self, HgBranchInputDialog):
        _translate = QtCore.QCoreApplication.translate
        HgBranchInputDialog.setWindowTitle(_translate("HgBranchInputDialog", "Create Branch"))
        self.label.setText(_translate("HgBranchInputDialog", "Enter branch name:"))
        self.branchComboBox.setToolTip(_translate("HgBranchInputDialog", "Enter the new branch name (spaces will be converted to _)"))
        self.commitCheckBox.setToolTip(_translate("HgBranchInputDialog", "Select to commit the branch"))
        self.commitCheckBox.setText(_translate("HgBranchInputDialog", "Commit Branch"))
        self.forceCheckBox.setToolTip(_translate("HgBranchInputDialog", "Select to force creating the branch"))
        self.forceCheckBox.setText(_translate("HgBranchInputDialog", "Force"))
